<style>
    .px {
        position: relative !important;
    }

	.tooltip {
		font-style: normal; 
		position: absolute;
		z-index: 1030;
		display: block;
		visibility: visible;
		font-size: 12px;
		line-height: 1.4;
		opacity: 0;
		filter: alpha(opacity=0);
	}
	.tooltip.in {
		opacity: 0.9;
		filter: alpha(opacity=90);
	}
	.tooltip.top {
		margin-top: -3px;
		padding: 5px 0;
	}	

	.tooltip-inner {
		font-size: 11px;
		font-style: normal; 
		max-width: 600px;
		padding: 3px 8px;
		text-align: justify;
		text-decoration: none;
		background-color: #ffffff;
		color: #333333;
		border-radius: 2px;
		webkit-box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
		box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
	}	
</style>
<script>
	$(document).ready(function () {
		$('[data-toggle="tooltip"]').tooltip();

		$(document).on('DOMNodeInserted', function () {
			$('[data-toggle="tooltip"]').tooltip();
		});

	});
</script>
<div>
	<p></p>
    <div class="col-md-8">
        <div class="panel panel-success">
			<div class="panel-heading ">
				<span class="panel-title">Información de la Consulta Sobre el Código de Validacón</span>
			</div>
			<form name="form">
				<div class="panel-body">
					<div class="col-md-12">                    
						<div class="form-group {{ messageErrorConsulta!=''?'has-error':'' }} }}">
							<label class="control-label" >Código de la Consulta</label>
							<input required placeholder="Ingrese código de la Consulta" class="form-control" type="text" ng-minlength="10" ng-maxlength="10" ng-model="Registroconsultausosuelo.codigo" ng-disabled='mostrarFormSolicitud' ng-keydown="($event.keyCode == 13) && buscarCodigo()" />
							<span ng-if="messageErrorConsulta != ''">{{ messageErrorConsulta}}</span>
						</div>
					</div>
					<div class="col-md-12" ng-hide="mostrarFormSolicitud">
						<div class="col-md-12">
							<button class="btn-link" ng-click="limpiarCodigo()" >Limpiar</button>
							ó 
							<button class="btn btn-primary" ng-disabled="form.$invalid" ng-click="buscarCodigo()">Buscar</button>

						</div>
					</div>
					<!--{{ Registroconsultausosuelo | json }} -->
					<!--Panel que muestra la información de la tabla registro consulta -->
					<div ng-show="Registroconsultausosuelo[0] != null && messageErrorConsulta == ''" class="col-md-12">
						<script>
							init.push(function () {
								$('[data-toggle="tooltip"]').tooltip();
							});
						</script>
						<p><br></p>
						<div class="table-primary">
							<div class="well well-sm">
								<strong>Dirección: </strong> {{ Registroconsultausosuelo[0].Direccion}} <br>
								<strong>Número Predial Nacional: </strong> {{ Registroconsultausosuelo[0].Npn}} <br>
								<strong>Areá de Actividad: </strong> {{ Registroconsultausosuelo[0].AreaActividad}} <br>
								<strong>Tipo: </strong> {{ Registroconsultausosuelo[0].Tipo}} <br>
								<strong>Vocación: </strong> {{ Registroconsultausosuelo[0].Vocacion}} <br>
								<strong>Comuna: </strong> {{ Registroconsultausosuelo[0].Comuna}} <br>
								<strong>Barrio: </strong> {{ Registroconsultausosuelo[0].Barrio}} <br>
							</div>
							<table class="table table-bordered">
								<thead>
									<tr>
										<th style="text-align:center">#</th>
										<th style="text-align:center">Código
										<th style="text-align:left">Ciiu (Actividad Economíca)</th>
										<th align="center">Respuesta</th>
									</tr>
								</thead>
								<tbody>
									<tr ng-repeat="actividades in Registroconsultausosuelo">
										<td align="center">{{ $index + 1}}</td>
										<td align="center">{{ actividades.Codciiu}}</td>
										<td align="justify">{{ actividades.Ciiu}}</td>
										<td><spam ng-if = "actividades.respuesta != 'Eir'">{{ actividades.respuesta}}</spam><spam ng-if = "actividades.respuesta === 'Eir'"><i class="plg-npn-info text-warning" data-toggle="tooltip" data-placement="bottom" title="Sujeto a Formulación de Esquema de Implantación y Regularización, debe acercarse a la ventanilla del cam para hacer la respectiva solicitud."><a href="#">{{ actividades.respuesta | uppercase }}<i class="fa fa fa-exclamation-triangle"></i></a></i></spam></td>
								</tr>			
								</tbody>
							</table>
							<div class="table-footer">
								Su Código de Consulta es: <b>{{ Registroconsultausosuelo[0].Codigoconsulta}}</b>, fue consultado en la fecha: <b>{{ Registroconsultausosuelo[0].Fechaconsulta}}</b>
							</div>
						</div>
					</div>
				</div>  
			</form>
		</div>
	</div>
